FILTER-RSPAMD(8)

NAME
filter-rspamd - Rspamd filter for OpenSMTPD

SYNOPSIS
filter-rspamd [-url url]

DESCRIPTION
The filter-rspamd filter for the OpenSMTPD (smtpd(8)) server filters sessions through an rspamd daemon. Its options are:

-url url
    Connect to the remote rspamd instance located at url. This flag is optional. If unspecified, filter-rspamd will connect to the rspamd instance located at http://localhost:11333.

All other rspamd-related configuration, e.g., regarding thresholds or enabled modules, must be done in rspamd itself.

EXIT STATUS

EXAMPLES
Adding the following to smtpd.conf enables filter-rspamd for all incoming connections. In this configuration, the local rspamd daemon is used.

    filter "rspamd" proc-exec "filter-rspamd"
    listen on all filter "rspamd"

The following enables filter-rspamd for all incoming connections using a remote rspamd daemon.

    filter "rspamd" proc-exec "filter-rspamd -url http://example.org:11333"
    listen on all filter "rspamd"

SEE ALSO
smtpd.conf(5), rspamd(8)

AUTHORS
filter-rspamd is Copyright © 2019 -nosplit Gilles Chehade <gilles@poolp.org>. This man page is Copyright © 2020 Ryan Kavanagh <rak@debian.org>. Both are distributed under the ISC license.

BUGS
None known.